package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class LogicalPorts {
    private Metadata metadata;
    private List<HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort;

    public LogicalPorts() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public List<HostEthernetAdapterLogicalPort> getHostEthernetAdapterLogicalPort() {
        return hostEthernetAdapterLogicalPort;
    }

    public void setHostEthernetAdapterLogicalPort(List<HostEthernetAdapterLogicalPort> hostEthernetAdapterLogicalPort) {
        this.hostEthernetAdapterLogicalPort = hostEthernetAdapterLogicalPort;
    }

    @Override
    public String toString() {
        return "LogicalPorts [metadata=" + metadata + ", hostEthernetAdapterLogicalPort="
            + hostEthernetAdapterLogicalPort + "]";
    }
}
